JsonCpp project page | Classes | Namespace | JsonCpp home page

Public Types | Public Member Functions | List of all members
Json::ValueMembersIterator Class Reference

Iterator adapter for range-based for loops. More...

`#include <json/value.h>`

Collaboration diagram for Json::ValueMembersIterator:

## Public Types
using | iterator_category = std::forward_iterator_tag
using | value_type = MemberProxy
using | difference_type = int
using | pointer = MemberProxy*
using | reference = MemberProxy

## Public Member Functions
| ValueMembersIterator ()=default
| ValueMembersIterator (ValueIterator const &iter)
ValueMembersIterator & | operator++ ()
ValueMembersIterator | operator++ (int)
bool | operator== (ValueMembersIterator const &other) const
bool | operator!= (ValueMembersIterator const &other) const
MemberProxy | operator* () const

## Detailed Description

Iterator adapter for range-based for loops.

Definition at line 1065 of file value.h.

## Member Typedef Documentation

## ◆ difference_type

using Json::ValueMembersIterator::difference_type = int

Definition at line 1069 of file value.h.

## ◆ iterator_category

using Json::ValueMembersIterator::iterator_category = std::forward_iterator_tag

Definition at line 1067 of file value.h.

## ◆ pointer

using Json::ValueMembersIterator::pointer = MemberProxy*

Definition at line 1070 of file value.h.

## ◆ reference

using Json::ValueMembersIterator::reference = MemberProxy

Definition at line 1071 of file value.h.

## ◆ value_type

using Json::ValueMembersIterator::value_type = MemberProxy

Definition at line 1068 of file value.h.

## Constructor & Destructor Documentation

## ◆ ValueMembersIterator() [1/2]

Json::ValueMembersIterator::ValueMembersIterator | ( |  | ) |
| default

Referenced by operator!=(), operator++(), operator++(), and operator==().

Here is the caller graph for this function:

## ◆ ValueMembersIterator() [2/2]

Json::ValueMembersIterator::ValueMembersIterator | ( | ValueIterator const & | iter | ) |
| inlineexplicit

Definition at line 1074 of file value.h.

## Member Function Documentation

## ◆ operator!=()

bool Json::ValueMembersIterator::operator!= | ( | ValueMembersIterator const & | other | ) | const
| inline

Definition at line 1088 of file value.h.

References ValueMembersIterator().

## ◆ operator*()

MemberProxy Json::ValueMembersIterator::operator* | ( |  | ) | const
| inline

Definition at line 1091 of file value.h.

## ◆ operator++() [1/2]

ValueMembersIterator & Json::ValueMembersIterator::operator++ | ( |  | ) |
| inline

Definition at line 1076 of file value.h.

References ValueMembersIterator().

## ◆ operator++() [2/2]

ValueMembersIterator Json::ValueMembersIterator::operator++ | ( | int |  | ) |
| inline

Definition at line 1080 of file value.h.

References ValueMembersIterator().

## ◆ operator==()

bool Json::ValueMembersIterator::operator== | ( | ValueMembersIterator const & | other | ) | const
| inline

Definition at line 1085 of file value.h.

References ValueMembersIterator().

The documentation for this class was generated from the following file:

- include/json/value.h